Page 1 of 1

gslapt issue

Posted: 13. Jul 2018, 18:22
by pnbalaji
Hi,

I am a hobbyist photographer using Salix Linux and I use darktable for my RAW image editing. I was using the version of 2.0.5 which was offered by gslapt when I downloaded it. Today I see that slackbuild is available for the latest version of darktable (2.4.4). So, I uninstalled the darktable 2.0.5 version using gslapt and installed the 2.4.4 version using the Slackbuild. Everything went fine during the install and I am able to work on the latest version of darktable also.

However, after some time, gslapt notified me of an update and I double clicked on it from the system tray to show up the update window. I see that the update is for darktable 2.0.5. Since I already have the latest version, I don't want to install the old version. So, I dismissed the update notifier window. However, it popped again after some time.

Is there a way to tell gslapt to ignore the darktable package from getting updated? Please help.

Thanks,
Balaji.

Re: gslapt issue

Posted: 13. Jul 2018, 18:46
by DidierSpaier
Hi Balaji,
pnbalaji wrote:
13. Jul 2018, 18:22
Is there a way to tell gslapt to ignore the darktable package from getting updated
Yes, just edit the file /etc/slapt-get/slapt-getrc and append to the line beginning with EXCLUDE= this:
,^darktable
and save it.

Didier

Re: gslapt issue

Posted: 13. Jul 2018, 23:16
by pnbalaji
Thanks. It worked.